package com.sckw.payment.model.constant;

import java.util.Objects;

/**
 * 物流、贸易
 * 对账单状态枚举
 *
 * @author xucaiqin
 * @date 2023-07-11 12:00:52
 */
public enum LedgerEnum {
    ALL(0, "全部", "0"),
    SAVE(1, "已保存", "1"),
    TO_LEDGER(2, "待对账", "2"),
    LEDGERED(3, "已对账", "3"),
    SUCCESS(4, "已完成", "4"),
    BACK(5, "已退回", "5"),
    REVOCATION(6, "已撤回", "6");

    private final int status;
    private final String desc;
    private final String label;

    LedgerEnum(int status, String desc, String label) {
        this.status = status;
        this.label = label;
        this.desc = desc;
    }

    public static String getDesc(Integer status) {
        if (Objects.isNull(status)) {
            return "";
        }
        for (LedgerEnum value : values()) {
            if (status == value.getStatus()) {
                return value.getDesc();
            }
        }
        return "";
    }

    public String getLabel() {
        return label;
    }

    public int getStatus() {
        return status;
    }


    public String getDesc() {
        return desc;
    }

}
